#pragma once
#include "afxwin.h"
#include "afxcmn.h"
#include <vector>

// demoStartShareDlg 对话框

class demoStartShareDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoStartShareDlg)

public:
    demoStartShareDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoStartShareDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_START_SHARE_DIALOG };
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();

    DECLARE_MESSAGE_MAP()
private:
    int clickStartShare();
public:
    CEdit m_shareHwndEdit;
    CComboBox m_isPrimaryMonitorCombo;
    CComboBox m_shareTypeCombo;
    CComboBox m_setUIControlMonitor;

    CComboBox m_setMonitorMode;
    CEdit m_setMonitorIndex;
    CComboBox m_setUIMonitorMode;
    CEdit m_setUIMonitorIndex;

    afx_msg void OnBnClickedCancel();
    afx_msg void OnBnClickedOk();
};
